VersionException (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache

## Class VersionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.cache.VersionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IncompatibleVersionException, UnsupportedVersionException

      public abstract class VersionException
      extends GemFireCheckedException

  An `VersionException` is an exception that indicates a client / server version mismatch exception has occurred.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionException()` Constructs a new `VersionException`.
    `VersionException(java.lang.String s)` Constructs a new `VersionException` with a message string.
    `VersionException(java.lang.String s, java.lang.Throwable cause)` Constructs a `VersionException` with a message string and a base exception
    `VersionException(java.lang.Throwable cause)` Constructs a `VersionException` with a cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionException

          public VersionException()

      Constructs a new `VersionException`.

    - #### VersionException

          public VersionException(java.lang.String s)

      Constructs a new `VersionException` with a message string.

    - #### VersionException

          public VersionException(java.lang.String s,
                                  java.lang.Throwable cause)

      Constructs a `VersionException` with a message string and a base exception

    - #### VersionException

          public VersionException(java.lang.Throwable cause)

      Constructs a `VersionException` with a cause